import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { moduleRouting } from './delivery.routing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

/* CUSTOM-COMPONENTS */

import { IndexComponent } from './index/index.component';
import { ChangepinComponent } from './changepin/changepin.component';
import { EditproviderComponent } from './editprovider/editprovider.component';
import { TransactionComponent } from './transaction/transaction.component';
import { AddDriverComponent } from './add-driver/add-driver.component';
import { ListDriverComponent } from './list-driver/list-driver.component';
import { EditDriverComponent } from './edit-driver/edit-driver.component';

@NgModule({
  // tslint:disable-next-line:max-line-length
  declarations: [IndexComponent, ChangepinComponent, EditproviderComponent, TransactionComponent, AddDriverComponent, ListDriverComponent, EditDriverComponent],
  imports: [
    CommonModule,
    moduleRouting,
    FormsModule,
    ReactiveFormsModule
  ]
})
export class DeliveryModule { }
