import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { moduleRouting } from './forex.routing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

// IMPORTED-PAGE-COMPONENTS

import { IndexComponent } from './index/index.component';
import { ChangepinComponent } from './changepin/changepin.component';
import { EditproviderComponent } from './editprovider/editprovider.component';
import { TransactionComponent } from './transaction/transaction.component';
import { CurrencyComponent } from './currency/currency.component';


@NgModule({
  // tslint:disable-next-line:max-line-length
  declarations: [IndexComponent, ChangepinComponent, EditproviderComponent, TransactionComponent, CurrencyComponent],
  imports: [
    CommonModule,
    moduleRouting,
    FormsModule,
    ReactiveFormsModule
  ]
})
export class ForexModule { }
